Skip to main content
GET
List Settlement Transactions

Authorizations

X-SFPY-AGGREGATOR-SECRET-KEY
string
header
required

Path Parameters

raast-aggregator-id
string
required

The unique identifier for the aggregator

Example:

"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"

Query Parameters

cursor
integer<int64>

Cursor for pagination. Pass the previous response next_cursor, or omit/0 for the first page.

Example:

0

limit
integer<int32>

Page size. Default 30. Maximum 100. 0 is treated as the default.

Example:

30

direction
enum<string>

Sort direction on the underlying numeric id. Must be uppercase ASC or DESC. Invalid or empty values default to DESC.

Available options:
ASC,
DESC
Example:

"DESC"

only_transactions
boolean

When true, return general payment/refund transactions in transactions instead of settlement payouts in settlement_transactions.

Example:

false

settlement_batch_id
string

Filter by settlement batch token (sb_…).

Example:

"sb_1328a110-2cf5-4e13-993e-55792ec6b76c"

settlement_txn_id
string

Filter by settlement transaction token (stxn_…, exactly 41 characters).

Example:

"stxn_75549797-f2c6-421d-8dd7-ce39995534b8"

settlement_txn_status
enum<integer>

Filter settlement transactions by status integer enum (1=SETTLEMENT_TXN_ACK_PENDING, 2=SETTLEMENT_TXN_POSTED, 3=SETTLEMENT_TXN_FAILED, 4=SETTLEMENT_TXN_REJECTED). Response status is the string enum name.

Available options:
1,
2,
3,
4
Example:

2

txn_id
string

Filter general transactions by token (txn_…, exactly 40 characters). Used with only_transactions=true.

Example:

"txn_8ffa984c-f0cb-4835-8eee-89c9ca673dad"

txn_status
enum<integer>

Filter general transactions by status integer enum (1=TXN_LEDGER_POSTED, 2=TXN_SETTLEMENT_SCHEDULED, 3=TXN_SETTLEMENT_DISPATCHED, 4=TXN_SETTLEMENT_CONFIRMED, 5=TXN_SETTLEMENT_REVERSED). Response status is the string enum name.

Available options:
1,
2,
3,
4,
5
Example:

4

Response

Paginated list of settlement payouts or general transactions.

Standard response structure for successful operations

api_version
string

The current version of the API spec

Example:

"v1"

data
object

Contains the response data